[SRU] usb-creator-kde shows the install popup after a few seconds of launching without any input

Bug #1629715 reported by Chris Holland on 2016-10-02
56
This bug affects 13 people
Affects Status Importance Assigned to Milestone
usb-creator (Ubuntu)
High
Walter Lapchynski
Xenial
High
Walter Lapchynski
Bionic
High
Walter Lapchynski
Cosmic
High
Walter Lapchynski
Disco
High
Walter Lapchynski
Eoan
High
Walter Lapchynski

Bug Description

[SRU]

[Impact]

Unlike usb-creator-gtk, which has a different codebase, usb-creator-kde has long been non-functional, getting stuck immediately upon launching. This means that for Kubuntu, post-18.04 Lubuntu, and any user who chooses to use usb-creator-kde, it is useless.

There is code to setup a progress dialog for when a USB is being written to, but it is in the class initialization, so it displays immediately. This moves that to the actual install method so it doesn't appear until the user clicks the button the perform the USB install.

[Test Case]

To reproduce the bug, simply launch usb-creator-kde (Startup Disk Creator in the menu).

If the bug is present, the installation popup immediately displays, rendering the program unusable.

If the bug is NOT present, the program should wait for the ISO and target to be specified and the button to perform the install to be clicked before the installation popup shows.

It is highly recommended that a USB install is performed as part of the testing if the bug is not present. See below.

[Regression Potential]

The patch is small, applies cleanly, and does nothing to change logic. It merely moves logic around. There should be no reason why this should cause any sort of regression.

The most likely cause of a regression would be the fact that the program has been unusable for so long, it hasn't seen a lot of use and, as such, its quality is a bit unknown. I would hope anyone testing would ensure that the basic function is there.

======================================

[Original Description]

STEPS TO REPRODUCE
 1. Launch usb-creator-kde (Startup Disk Creator)

EXPECTED RESULTS
Application launches normally, waiting for the ISO and target before installing.

ACTUAL RESULTS
Without any input, the installation popup immediately shows up, making the program unusable.

AFFECTED VERSIONS
0.3.2
0.3.5
(possibly earlier versions, but couldn't install in trusty)

NOTES & WORKAROUND
usb-creator-gtk is unaffected by this bug

Tracked by Lubuntu here: https://phab.lubuntu.me/T51

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in usb-creator (Ubuntu):
status: New → Confirmed
Andrei Shevchuk (shevchuk) wrote :

Experiencing the same issue on Kubuntu 17.04 with usb-creator-kde 0.3.3. usb-creator-gtk works fine.

Andreas (urban-1) wrote :

Same issued here

usb-creator-kde 0.3.2

$ kdeinit5 --version
Qt: 5.5.1
KDE: 5.18.0

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.3 LTS
Release: 16.04
Codename: xenial

$ uname -a
Linux urban-kde 4.10.0-30-generic #34~16.04.1-Ubuntu SMP Wed Aug 2 02:13:56 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Jakob Leben (jakob-leben) wrote :

I have the same issue.

usb-creator-kde 0.3.3

$ kdeinit5 --version
Qt: 5.7.1
KDE: 5.31.0

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 17.04
Release: 17.04
Codename: zesty

$ uname -r
4.13.8-041308-generic

jackdinn (j-jack) wrote :

I have same issue

Noen 5.11
plasma 5.11.4
framework 5.40.0
Qt 5.9.2
Kernel 4.10
OS 64

Blaze (blaze) on 2018-01-03
tags: added: kubuntu
Paul Worrall (nicknak) wrote :

This bug is due to the setup of the progress dialog being performed as part of the class initialisation. The dialog then receives no setValue signals for its default timeout (4 seconds) so it thinks the process is slow and shows the dialog.

My patch moves the setup of the progress dialog to the install method so doesn't get called until the user clicks the "Make Startup Disk..." button.

The attachment "Move the KDE front end progress dialog setup to the install method" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Otto (o770) wrote :

usb-creator-kde 0.3.5
kubuntu 18.04
plasma 5.12.7
frameworks 5.44.0
qt 5.9.5
kernel 4.15.0-45-generic
64-bit

Walter Lapchynski (wxl) on 2019-04-11
description: updated
Changed in usb-creator (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
summary: - kde version shows the install popup after a few seconds of launching
- (without chosing the iso)
+ usb-creator-kde shows the install popup after a few seconds of launching
+ without any input
Simon Quigley (tsimonq2) on 2019-04-11
Changed in usb-creator (Ubuntu Cosmic):
status: New → Triaged
Changed in usb-creator (Ubuntu Bionic):
status: New → Triaged
Changed in usb-creator (Ubuntu Xenial):
status: New → Triaged
importance: Undecided → High
Changed in usb-creator (Ubuntu Bionic):
importance: Undecided → High
Changed in usb-creator (Ubuntu Cosmic):
importance: Undecided → High
Changed in usb-creator (Ubuntu Xenial):
assignee: nobody → Walter Lapchynski (wxl)
Changed in usb-creator (Ubuntu Bionic):
assignee: nobody → Walter Lapchynski (wxl)
Changed in usb-creator (Ubuntu Cosmic):
assignee: nobody → Walter Lapchynski (wxl)
Changed in usb-creator (Ubuntu Disco):
assignee: nobody → Walter Lapchynski (wxl)
Walter Lapchynski (wxl) on 2019-04-13
description: updated
Walter Lapchynski (wxl) on 2019-04-14
tags: added: lubuntu

There is a patch at comment #6 that I believe squashes this bug

@Paul there sure is, thank you very much! It applies cleanly and I've tested it works. My intent is to get that fix in all the way back to Xenial.

Walter Lapchynski (wxl) wrote :

If all goes well today. It's been on my TODO list for a while, but things keep on getting piled on top.

Walter Lapchynski (wxl) wrote :

Well, I patched everything and put it in a PPA if folks want to test:
https://launchpad.net/~wxl/+archive/ubuntu/staging/+packages

summary: - usb-creator-kde shows the install popup after a few seconds of launching
- without any input
+ [SRU] usb-creator-kde shows the install popup after a few seconds of
+ launching without any input
Walter Lapchynski (wxl) on 2019-07-15
description: updated
Chris Guiver (guiverc) wrote :

installed (for testing purposes)

guiverc@d960-ubu2:/de2900/ubuntu_64$ sudo apt install 'usb-creator-kde=0.3.6~ppa1' 'usb-creator-common=0.3.6~ppa1'
...
guiverc@d960-ubu2:/de2900/ubuntu_64$ apt-cache policy usb-creator-kde
usb-creator-kde:
  Installed: 0.3.6~ppa1
  Candidate: 0.3.6
  Version table:
     0.3.6 500
        500 http://ftp.iinet.net.au/pub/ubuntu eoan/universe amd64 Packages
 *** 0.3.6~ppa1 500
        500 http://ppa.launchpad.net/wxl/staging/ubuntu eoan/main amd64 Packages
        100 /var/lib/dpkg/status

I ran at term

guiverc@d960-ubu2:/de2900/ubuntu_64$ usb-creator-kde
guiverc@d960-ubu2:/de2900/ubuntu_64$

USB-Creator-KDE opened & I used to write a recent lubuntu 19.10 daily to thumb-drive, no messages appeared in the terminal. I ejected the thumb-drive and it's currently undergoing 'check-disc-for-defects' on another box (& none were found!!)

I had no issues on my Lubuntu 19.10 primary workstation.

Walter Lapchynski (wxl) on 2019-07-15
description: updated
Walter Lapchynski (wxl) wrote :
Changed in usb-creator (Ubuntu Eoan):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package usb-creator - 0.3.7

---------------
usb-creator (0.3.7) eoan; urgency=medium

  [ Marc Deslauriers ]
  * Change version strings to 0.3.7 for next release

  [ Walter Lapchynski ]
  * Move progress dialog setup to the install method on the KDE frontend.
    Thanks to Paul Worrall for the patch! (LP: #1629715)

 -- Marc Deslauriers <email address hidden> Tue, 02 Jul 2019 07:53:57 -0400

Changed in usb-creator (Ubuntu Eoan):
status: Fix Committed → Fix Released
Walter Lapchynski (wxl) wrote :
Walter Lapchynski (wxl) wrote :
Walter Lapchynski (wxl) wrote :
Walter Lapchynski (wxl) wrote :

cosmic was EOL yesterday.

sponsored xenial bionic and disco

Changed in usb-creator (Ubuntu Cosmic):
status: Triaged → Invalid
Changed in usb-creator (Ubuntu Bionic):
status: Triaged → In Progress
Changed in usb-creator (Ubuntu Xenial):
status: Triaged → In Progress
Changed in usb-creator (Ubuntu Disco):
status: Triaged → In Progress
Changed in usb-creator (Ubuntu Cosmic):
status: Invalid → Won't Fix

Hello Chris, or anyone else affected,

Accepted usb-creator into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/usb-creator/0.3.5ubuntu19.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in usb-creator (Ubuntu Disco):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-disco
Changed in usb-creator (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Brian Murray (brian-murray) wrote :

Hello Chris, or anyone else affected,

Accepted usb-creator into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/usb-creator/0.3.5ubuntu18.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in usb-creator (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed-xenial
Brian Murray (brian-murray) wrote :

Hello Chris, or anyone else affected,

Accepted usb-creator into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/usb-creator/0.3.2ubuntu16.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Walter Lapchynski (wxl) wrote :

For both Bionic and Disco, installed the proposed version in a fully upgraded Lubuntu and used the mini.iso to create a USB. Worked like a charm, all the way through the process. FWIW, Bionic is LXDE/mostly GTK so normally it wouldn't use this.

tags: added: verification-done-bionic verification-done-disco
removed: verification-needed-bionic verification-needed-disco
Walter Lapchynski (wxl) wrote :

Since only Ubuntu and Kylin support Xenial anymore (https://help.ubuntu.com/community/EOL#Ubuntu_16.04_Xenial_Xerus), I installed the proposed version in a fully upgraded Ubuntu, again using the mini.iso to create a USB. Again, worked great.

tags: added: verification-done-xenial
removed: verification-needed-xenial
Dan Simmons (kc2bez) wrote :

I have tested the version in proposed for xenial,bionic,disco. All work very well with no issues opening the application and burning an image. I have also tested the version in eoan and that too works as expected.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package usb-creator - 0.3.5ubuntu19.04.2

---------------
usb-creator (0.3.5ubuntu19.04.2) disco; urgency=medium

  * Move progress dialog setup to the install method on the KDE frontend.
    Thanks to Paul Worrall for the patch! (LP: #1629715)

 -- Walter Lapchynski <email address hidden> Tue, 16 Jul 2019 10:44:30 -0700

Changed in usb-creator (Ubuntu Disco):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for usb-creator has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package usb-creator - 0.3.5ubuntu18.04.2

---------------
usb-creator (0.3.5ubuntu18.04.2) bionic; urgency=medium

  * Move progress dialog setup to the install method on the KDE frontend.
    Thanks to Paul Worrall for the patch! (LP: #1629715)

 -- Walter Lapchynski <email address hidden> Tue, 16 Jul 2019 10:40:51 -0700

Changed in usb-creator (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package usb-creator - 0.3.2ubuntu16.04.2

---------------
usb-creator (0.3.2ubuntu16.04.2) xenial; urgency=medium

  * Move progress dialog setup to the install method on the KDE frontend.
    Thanks to Paul Worrall for the patch! (LP: #1629715)

 -- Walter Lapchynski <email address hidden> Tue, 16 Jul 2019 10:34:48 -0700

Changed in usb-creator (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers